/* for easier compatibility */

#include "config.h"

#include <stdio.h>
#include <stdlib.h>
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifdef HAVE_FCNTL_H
#include <fcntl.h>
#endif
#ifdef HAVE_STRINGS_H
#include <strings.h>
#endif
#include <netdb.h>
#include <signal.h>
#ifdef HAVE_SYSLOG_H
#include <syslog.h>
#endif
#include <sys/types.h>
#include <sys/socket.h>
#ifdef HAVE_SYS_WAIT_H
#include <sys/wait.h>
#endif
#include <sys/stat.h>
#ifdef HAVE_SYS_IOCTL_H
#include <sys/ioctl.h>
#endif
#include <net/if.h>
#include <netinet/in.h>
#include <netinet/in_systm.h>
#include <netinet/ip.h>

/* this thing is tricky */
#ifdef TCP_NEWLINUX

#ifndef __FAVOR_BSD
#define __FAVOR_BSD
#include <netinet/tcp.h>
#undef __FAVOR_BSD
#else
#include <netinet/tcp.h>
#endif

#else

#include <netinet/tcp.h>

#endif

#include <netinet/tcp.h>
#include <arpa/inet.h>

#ifndef LOGFACILITY
#define LOGFACILITY LOG_LOCAL3
#endif
#define DEFAULT_FLOODLIMIT 10
#define DEFAULT_FLOODTIMEOUT 10

#ifndef VERSION
#define VERSION "version unknown"
#endif


#ifndef NOFILE
#define NOFILE 1024
#endif

#define BUFSIZE 256

#ifndef TCPLOGD_CF
#define TCPLOGD_CF "/etc/tcplogd.cf"
#endif

struct tcpflags {
	unsigned char flags;
	int facility;
	char name[BUFSIZE];
	struct tcpflags *next;
};

struct ports {
	unsigned int port;
	unsigned int hport; /* this should be zero or a higher port, if range
			     */
	unsigned char range; /* this actually would be boolean */
	struct ports *next;
};


#ifndef BSD_NETWORKING


struct ippkt
{
   struct iphdr ip;
   struct tcphdr tcp;
   char buffer[10000];
};
#else
struct ippkt
{
   struct ip ip;
   struct tcphdr tcp;
   char buffer[10000];
};
#endif

